GenTimeAccuracyUnitTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.tsp.test

## Class GenTimeAccuracyUnitTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.tsp.test.GenTimeAccuracyUnitTest

- All Implemented Interfaces:
    junit.framework.Test

      public class GenTimeAccuracyUnitTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenTimeAccuracyUnitTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testNullNullNull()`
    `void` | `testOneNullOne()`
    `void` | `testOneTwoThree()`
    `void` | `testThreeTwoNull()`
    `void` | `testThreeTwoOne()`
    `void` | `testTwoThreeTwo()`
    `void` | `testZeroNullNull()`
    `void` | `testZeroTwoThree()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenTimeAccuracyUnitTest

          public GenTimeAccuracyUnitTest()

  - ### Method Detail

    - #### testOneTwoThree

          public void testOneTwoThree()

    - #### testThreeTwoOne

          public void testThreeTwoOne()

    - #### testTwoThreeTwo

          public void testTwoThreeTwo()

    - #### testZeroTwoThree

          public void testZeroTwoThree()

    - #### testThreeTwoNull

          public void testThreeTwoNull()

    - #### testOneNullOne

          public void testOneNullOne()

    - #### testZeroNullNull

          public void testZeroNullNull()

    - #### testNullNullNull

          public void testNullNullNull()